Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jdbc.xa
Class XAManagedConnection

    java.lang.Object
      org.jboss.resource.adapter.jdbc.BaseWrapperManagedConnection
          org.jboss.resource.adapter.jdbc.xa.XAManagedConnection

All Implemented Interfaces:
  javax.resource.spi.ManagedConnection, XAResource

public class XAManagedConnection
extends BaseWrapperManagedConnection
implements XAResource

XAManagedConnection.java Created: Mon Aug 12 23:02:44 2002

Version:
  $Revision: 1.14.6.1 $
Author:
  David Jencks

Field Summary
`protected Xid` | `currentXid`
`protected XAConnection` | `xaConnection`
`protected XAResource` | `xaResource`

Fields inherited from class org.jboss.resource.adapter.jdbc.BaseWrapperManagedConnection
`con, destroyed, inManagedTransaction, jdbcAutoCommit, jdbcReadOnly, jdbcTransactionIsolation, mcf, props, stateLock, underlyingAutoCommit, underlyingReadOnly`

Fields inherited from interface javax.transaction.xa.XAResource
`TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

Constructor Summary
`XAManagedConnection(XAManagedConnectionFactory mcf, XAConnection xaConnection, Properties props, int transactionIsolation, int psCacheSize)`

Method Summary
`protected void` | `broadcastConnectionError(SQLException e)` Describe `broadcastConnectionError` method here.
`void` | `commit(Xid xid, boolean onePhase)`
`void` | `destroy()`
`void` | `end(Xid xid, int flags)`
`void` | `forget(Xid xid)`
`javax.resource.spi.LocalTransaction` | `getLocalTransaction()`
`int` | `getTransactionTimeout()`
`XAResource` | `getXAResource()`
`boolean` | `isSameRM(XAResource other)`
`int` | `prepare(Xid xid)`
`Xid[]` | `recover(int flag)`
`void` | `rollback(Xid xid)`
`boolean` | `setTransactionTimeout(int seconds)`
`void` | `start(Xid xid, int flags)`

Methods inherited from class org.jboss.resource.adapter.jdbc.BaseWrapperManagedConnection
`addConnectionEventListener, associateConnection, checkException, checkState, checkValid, cleanup, getConnection, getLog, getLogWriter, getMetaData, removeConnectionEventListener, setLogWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xaConnection

    protected final XAConnection xaConnection

### xaResource

    protected final XAResource xaResource

### currentXid

    protected Xid currentXid

Constructor Detail

### XAManagedConnection

    public XAManagedConnection(XAManagedConnectionFactory mcf,
                               XAConnection xaConnection,
                               Properties props,
                               int transactionIsolation,
                               int psCacheSize)
                        throws SQLException

Method Detail

### broadcastConnectionError

    protected void broadcastConnectionError(SQLException e)

  Describe `broadcastConnectionError` method here. this is present so the ConnectionEventListener inner class can access the method.

  Overrides:
    `broadcastConnectionError` in class `BaseWrapperManagedConnection`
  Parameters:
    `e` - a `SQLException` value

### getLocalTransaction

    public javax.resource.spi.LocalTransaction getLocalTransaction()
                                                            throws javax.resource.ResourceException

  Specified by:
    `getLocalTransaction` in interface `javax.resource.spi.ManagedConnection`
  Returns:
  Throws:
    `javax.resource.ResourceException` -

### getXAResource

    public XAResource getXAResource()
                             throws javax.resource.ResourceException

  Specified by:
    `getXAResource` in interface `javax.resource.spi.ManagedConnection`
  Returns:
  Throws:
    `javax.resource.ResourceException` -

### destroy

    public void destroy()
                 throws javax.resource.ResourceException

  Specified by:
    `destroy` in interface `javax.resource.spi.ManagedConnection`
  Overrides:
    `destroy` in class `BaseWrapperManagedConnection`
  Throws:
    `javax.resource.ResourceException` -

### start

    public void start(Xid xid,
                      int flags)
               throws XAException

  Specified by:
    `start` in interface `XAResource`
  Throws:
    `XAException` -

### end

    public void end(Xid xid,
                    int flags)
             throws XAException

  Specified by:
    `end` in interface `XAResource`
  Throws:
    `XAException` -

### prepare

    public int prepare(Xid xid)
                throws XAException

  Specified by:
    `prepare` in interface `XAResource`
  Returns:
  Throws:
    `XAException` -

### commit

    public void commit(Xid xid,
                       boolean onePhase)
                throws XAException

  Specified by:
    `commit` in interface `XAResource`
  Throws:
    `XAException` -

### rollback

    public void rollback(Xid xid)
                  throws XAException

  Specified by:
    `rollback` in interface `XAResource`
  Throws:
    `XAException` -

### forget

    public void forget(Xid xid)
                throws XAException

  Specified by:
    `forget` in interface `XAResource`
  Throws:
    `XAException` -

### recover

    public Xid[] recover(int flag)
                  throws XAException

  Specified by:
    `recover` in interface `XAResource`
  Returns:
  Throws:
    `XAException` -

### isSameRM

    public boolean isSameRM(XAResource other)
                     throws XAException

  Specified by:
    `isSameRM` in interface `XAResource`
  Returns:
  Throws:
    `XAException` -

### getTransactionTimeout

    public int getTransactionTimeout()
                              throws XAException

  Specified by:
    `getTransactionTimeout` in interface `XAResource`
  Returns:
  Throws:
    `XAException` -

### setTransactionTimeout

    public boolean setTransactionTimeout(int seconds)
                                  throws XAException

  Specified by:
    `setTransactionTimeout` in interface `XAResource`
  Returns:
  Throws:
    `XAException` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.